package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.*;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.ruoyi.web.work.domain.dto.Pv1MedicalRecord;
import com.ruoyi.web.work.mapper.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.service.IPv1Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class Pv1ServiceImpl extends ServiceImpl<Pv1Mapper, Pv1> implements IPv1Service {
    @Autowired
    private Pv1Mapper pv1Mapper;


    @Override
    public List<Pv1> selectList(Pv1 pv1) {
        return pv1Mapper.selectList(pv1);
    }

    @Override
    public List<PatientCardDto> getPatientCardByNameOrDepartment(String patientName, String departmentName, String physician) {
          return pv1Mapper.getPatientCardByNameOrDepartment(patientName,departmentName,physician);
    }


    @Override
    public List<PatientCardDto> getAllDepartment() {
        return pv1Mapper.getAllDepartment();
    }

    @Override
    public List<Pv1MedicalRecord> getMedicalRecord(String beginTime, String endTime, Long patientId) {
        return pv1Mapper.getMedicalRecord(beginTime,endTime,patientId);
    }


}
